import Vue from 'vue';
import { IWebComponentInstance } from '../../../fx';
import { DisplayMode } from '../../../fx/models';
import { SettingsService } from '../../../fx/services';
export declare class OmniaTestComponent extends Vue implements IWebComponentInstance {
    settingsKey: string;
    displayMode: DisplayMode;
    protected settingsService: SettingsService<any>;
    private settingsOpen;
    private currentSettings;
    constructor();
    created(): void;
    mounted(): void;
    private readonly editMode;
    private onNewSettings(updatedValue);
    private openSettings();
    private close();
    readonly renderSettingsGear: JSX.Element[];
    render(h: any): JSX.Element;
}
